<% . /usr/local/lib/cgi/haserl.sh ; check_instances app_settings_top.cgi %>
<% . /usr/local/lib/cgi/config.sh %>
<html lang="en_US">
<head>
</head>
<body>
    <div class="panel-header" is_open="true">Application Settings</div><div class="panel-body"><div class="panel-content">
        <table class="labelValue">
            <colgroup>
                <col class="label"/>
                <col class="value"/>
            </colgroup>
            <tbody>
                <tr id="row-application.main_config.application_type" onclick="goToHelpId('application_mode')">
                    <td class="label">Application mode</td>
                    <td class="value">
                        <select class="mediumText" id="application_type" name="application.main_config.application_type" onchange="visualizePlaylistSettings(this.value);">
                            <option value="portal" <% if cfg_string_compare application.main_config.application_type portal ; then echo -n 'selected="selected"'; fi %>>portal</option>
                            <option value="stand-alone" <% if cfg_string_compare application.main_config.application_type stand-alone ; then echo -n 'selected="selected"'; fi %>>stand-alone</option>
                        </select>
                    </td>
                </tr>

                <tr id="row-application.main_config.priority_url" onclick="goToHelpId('application_priority_url')">
                    <td class="label">Priority URL</td>
                    <td class="value">
                        <input name="application.main_config.priority_url" class="veryLongText" value="<% cfg_print_param application.main_config.priority_url %>"/>
                    </td>
                </tr>

                <tr id="row-application.main_config.playback_url" onclick="goToHelpId('application_main_url')">
                    <td class="label">Main URL</td>
                    <td class="value">
                        <input name="application.main_config.playback_url" class="veryLongText" value="<% cfg_print_param application.main_config.playback_url %>"/>
                    </td>
                </tr>

                <tr id="row-application.main_config.failover_url" onclick="goToHelpId('application_failover_url')">
                    <td class="label">Failover URL</td>
                    <td class="value">
                        <input name="application.main_config.failover_url" class="veryLongText" value="<% cfg_print_param application.main_config.failover_url %>"/>
                    </td>
                </tr>

                <tr id="row-application.main_config.backend_url" onclick="goToHelpId('application_portal_ulr')">
                    <td class="label">Portal URL</td>
                    <td class="value">
                        <input name="application.main_config.backend_url" class="veryLongText" value="<% cfg_print_param application.main_config.backend_url %>"/>
                    </td>
                </tr>

                <tr id="row-application.audio.player_volume_percent" onclick="goToHelpId('volume')">
                    <td class="label">Player Volume</td>
                    <td class="value">
                        <div class="slider-content">
                            <div class="slider-left">
                                <input id="input.application.audio.player_volume_percent"
                                       oninput="onSliderInput('input.application.audio.player_volume_percent')"
                                       name="application.audio.player_volume_percent"
                                       type="range" min="0" max="100" step="1"
                                       class="slider"
                                       value="<% cfg_print_param application.audio.player_volume_percent %>"/>
                           </div>
                           <div id="input.application.audio.player_volume_percent-value" class="slider-right">
                               <% cfg_print_param application.audio.player_volume_percent %>%
                           </div>
                        </div>
                    </td>
                </tr>

            </tbody>
        </table>
    </div></div>

    <!--
    <div class="panel-header">Metadata Forwarding Settings</div><div class="panel-body"><div class="panel-content">
        <table class="labelValue">
            <colgroup>
                <col class="label"/>
                <col class="value"/>
            </colgroup>
            <tbody>
               <tr>
                    <td class="label">UDP Port</td>
                    <td class="value">
                        <input name="application.main_config.meta_udp_port" type="number" min="1025" max="65535" class="shortText" value="<% cfg_print_param application.main_config.meta_udp_port %>"/>
                    </td>
                </tr>
            </tbody>
        </table>
    </div></div>


    <div class="panel-header">Barimon Settings</div><div class="panel-body"><div class="panel-content">
        <table class="labelValue">
            <colgroup>
                <col class="label"/>
                <col class="value"/>
            </colgroup>
            <tbody>
               <tr>
                    <td class="label">URL</td>
                    <td class="value">
                        <input name="application.barimon.server_address" class="veryLongText" value="<% cfg_print_param application.barimon.server_address %>"/>
                    </td>
               </tr>
               <tr>
                    <td class="label">Port</td>
                    <td class="value">
                        <input name="application.barimon.server_port" type="number" min="80" max="65535" class="shortText" value="<% cfg_print_param application.barimon.server_port %>"/>
                    </td>
               </tr>
               <tr>
                    <td class="label">Interval</td>
                    <td class="value">
                        <input name="application.barimon.interval_minutes" type="number" min="1" max="1440" class="shortText" value="<% cfg_print_param application.barimon.interval_minutes %>"/>
                    </td>
               </tr>
            </tbody>
        </table>
    </div></div>
    -->
    </body>
</html>
